Description

When a field is changed to another position in a table (dragging it), the type of the field is changed. It takes the type of the previous
field in that position.

Example:

- We have FIELD1 (string), FIELD2, FIELDS (integer) with different values.
- We move the FIELDS to the second position.

- Then the values change from integer to double.

It memorizes the type of every field in the initial position and the types are always the same.

History

#1 - 11/27/2014 03:49 AM - Antonio Falciano
Hi Mario,
| can reproduce this issue. Fortunately the dragging of a field is only apparent doesn't produce the alteration of the table. For instance, if you drag a

whatever field in an attribute table, close the table and export the layer, then the attribute table of the exported layer will be the original one, so the field

definitions are not altered at all. Although, in order to avoid confusion, it's convenient to not allow to drag the fields in a table.
#2 - 12/10/2014 11:58 AM - Alvaro Anguix

- Category set to Document table

#3 - 07/25/2016 05:00 PM - Alvaro Anguix

- Status changed from New to Closed

In 2438 it works
